#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# Setup script for ANSIStyle

__version__ = tuple(map(int,"$Revision: 1.15 $"[11:-2].split(".")))
# $Source: /data/cvsroot/LivingLogic/Python/ansistyle/setup.py,v $

from distutils.core import setup, Extension
import textwrap

DESCRIPTION = """
ll-ansistyle wraps an output stream and adds color capability
via ANSI escape sequences.
"""

CLASSIFIERS="""
Development Status :: 5 - Production/Stable
Environment :: Console
Intended Audience :: Developers
License :: OSI Approved :: Python License (CNRI Python License)
Operating System :: OS Independent
Programming Language :: Python
Topic :: Software Development :: Libraries :: Python Modules
Topic :: Terminals
Topic :: Text Processing :: General
"""

KEYWORDS = """
ANSI
escape sequence
color
terminal
"""

DESCRIPTION = "\n".join(textwrap.wrap(DESCRIPTION.strip(), width=64, replace_whitespace=True))

setup(
	name="ll-ansistyle",
	version="0.5",
	description="Add ANSI color capability to output streams",
	long_description=DESCRIPTION,
	author="Walter Drwald",
	author_email="walter@livinglogic.de",
	url="http://www.livinglogic.de/Python/ansistyle/",
	download_url="http://www.livinglogic.de/Python/ansistyle/Download.html",
	license="Python",
	classifiers=CLASSIFIERS.strip().splitlines(),
	keywords=",".join(KEYWORDS.strip().splitlines()),
	py_modules=['ll.ansistyle'],
	package_dir={"ll": ""},
	ext_modules=[Extension("ll._ansistyle", ["_ansistyle.c"])]
)
